<!--<div class="card login-page">-->
<!--  <div class="login-box" >-->
<!--    <div class="login-logo">-->
<!--      <a href="#"><b>Avatar</b>Booking</a>-->
<!--    </div>-->
    <!-- /.login-logo -->
    <div class="card" style="width: 300px;margin-left: 250px;margin-top: 50px" *ngIf="!isLoggedIn">
      <div class="card-body login-card-body" *ngIf="!isLoggedIn">
        <p class="login-box-msg" style="color: black">Sign in to start your session</p>

        <form   *ngIf="!isLoggedIn"
                name="form"
                (ngSubmit)="f.form.valid && onSubmit()"
                #f="ngForm"
                novalidate>
          <div class="input-group mb-3">
            <input  type="text"
                    class="form-control"
                    name="username"
                    [(ngModel)]="form.username"
                    required
                    #username="ngModel" placeholder="Username">
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-envelope"></span>
              </div>
            </div>
          </div>
          <div
            class="alert alert-danger"
            role="alert"
            *ngIf="f.submitted && username.invalid"
          >
            Username is required!
          </div>
          <div class="input-group mb-3">
            <input    type="password"
                      class="form-control"
                      name="password"
                      [(ngModel)]="form.password"
                      required
                      minlength="3"
                      #password="ngModel"
                      placeholder="Password">
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-lock"></span>
              </div>
            </div>
          </div>
          <div
            class="alert alert-danger"
            role="alert"
            *ngIf="f.submitted && password.invalid"
          >
            <div *ngIf="password.errors.required">Password is required</div>
            <div *ngIf="password.errors.minlength">
              Password must be at least 3 characters
            </div>
          </div>
          <div class="row">

            <!-- /.col -->
            <div class="social-auth-links text-center">
              <button  class="btn btn-primary btn-block">Sign In</button>
            </div>
            <!-- /.col -->
          </div>
          <div class="form-group">
            <div
              class="alert alert-danger"
              role="alert"
              *ngIf="f.submitted && isLoginFailed"
            >
              Login failed {{ errorMessage }}
            </div>
          </div>
        </form>

        <div class="alert alert-warning" *ngIf="isLoggedIn && !roles?.length">
          You have to activate your account.
        </div>


        <!-- /.social-auth-links -->

        <p class="mb-1">
          <a  [routerLink]="['/resetpassword']">I forgot my password</a>
        </p>
        <p class="mb-0">
          <a class="text-center" [routerLink]="['/register']" >Register a new membership</a>
        </p>
      </div>

      <!-- /.login-card-body -->
    </div>
<!--  </div>-->

<!--<div class="card login-page" *ngIf="isLoggedIn">-->

<!--  <div class="alert alert-success" *ngIf="isLoggedIn && roles?.length">-->
<!--    Logged in as {{ roles }}.-->


<!--  </div>-->
<!--</div>-->

<!--<router-outlet></router-outlet>-->
